co.aikar.commands

## Interface CommandConditions.ParameterCondition<P,CEC extends CommandExecutionContext,I extends CommandIssuer>

Enclosing class:
  CommandConditions<I extends CommandIssuer,CEC extends CommandExecutionContext<CEC,I>,CC extends ConditionContext<I>>

    public static interface CommandConditions.ParameterCondition<P,CEC extends CommandExecutionContext,I extends CommandIssuer>

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `validateCondition(ConditionContext<I> context, CEC execContext, P value)`

### Method Detail

#### validateCondition

    void validateCondition(ConditionContext<I> context,
                           CEC execContext,
                           P value)
                    throws InvalidCommandArgument

Throws:
  `InvalidCommandArgument`